Page MenuHomePhabricator

Investigate and improve MediaWiki Action API documentation
Closed, ResolvedPublic

Description

Phase 1

Goal: Make improvements to top ~20 viewed API pages

Outcomes

  • Researched the state of the MediaWiki Action API docs (see details here).
  • Promoted the project in Outreachy: T204612.
  • Developed a research study to assess the work so far and inform ideas for future work.
  • Made improvements to the following ~20 pages including the homepage and a documentation template.

Pagename (massviews ranking between 7/1/2017 - 10/30/2018)

Phase 2

Goal: Make improvements to next ~20 viewed API pages

Outcomes

Pagename (massviews ranking between 7/1/2017 - 10/30/2018)

Phase 3 (ongoing)

Goal(s):

  • Develop code samples in Javascript and PHP to demonstrate the use of MediaWiki Action API modules: T215681 (via GSoC)
  • Improve next ~20 pages: T218046 (via Outreachy)

Pagename (massviews ranking between 7/1/2017 - 10/30/2018)

Additional notes

Try to address the improvements requested in the following tickets:

Related Objects

StatusSubtypeAssignedTask
Resolvedsrishakatux
Resolvedjeropbrenda
Duplicatesrodlund
Resolvedjeropbrenda
Resolvedjeropbrenda
Duplicatesrodlund
ResolvedMartyav
Resolvedsrishakatux
DeclinedBisane132
ResolvedMartyav
Resolvedsrishakatux
ResolvedJayprakash12345
ResolvedJayprakash12345
Resolvedsrishakatux
ResolvedJayprakash12345
ResolvedLadsgroup
ResolvedLadsgroup
Resolvedjeropbrenda
Resolvedsrishakatux
Resolvedsrishakatux
ResolvedCatrope
ResolvedCDanis
Resolvedsrishakatux
Resolvedjeropbrenda
Resolvedsrishakatux
Resolvedsrishakatux
Declinedsrishakatux
ResolvedZaycodes

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Update: @srodlund and I are in the process of moving content from our Sandbox to Mainspace which entails a series of small changes that we are keeping track of here: https://www.mediawiki.org/wiki/User:SSethi_(WMF)/Sandbox/Investigate_and_improve_MediaWiki_Action_API_docs#Work_in_progress

We are linking the pages added, modified, removed or redirected in this section: https://www.mediawiki.org/wiki/User:SSethi_(WMF)/Sandbox/Investigate_and_improve_MediaWiki_Action_API_docs#Results

More and final update to come by the end of this quarter!

srishakatux updated the task description. (Show Details)Oct 31 2018, 6:37 PM
Restricted Application added a subscriber: MusikAnimal. · View Herald TranscriptOct 31 2018, 6:37 PM
srishakatux updated the task description. (Show Details)Nov 22 2018, 8:11 AM
srishakatux updated the task description. (Show Details)Dec 14 2018, 6:53 PM
Martyav updated the task description. (Show Details)Dec 14 2018, 8:05 PM
srishakatux updated the task description. (Show Details)Dec 14 2018, 8:22 PM
Martyav updated the task description. (Show Details)Jan 2 2019, 9:35 PM
Martyav updated the task description. (Show Details)
Martyav updated the task description. (Show Details)Jan 4 2019, 2:20 AM
Martyav updated the task description. (Show Details)Jan 4 2019, 10:25 PM
Martyav updated the task description. (Show Details)Jan 11 2019, 12:36 AM
Martyav updated the task description. (Show Details)
Martyav updated the task description. (Show Details)Jan 16 2019, 8:36 PM
Martyav updated the task description. (Show Details)Jan 17 2019, 6:03 PM
Martyav updated the task description. (Show Details)Jan 17 2019, 7:00 PM
Martyav updated the task description. (Show Details)
Martyav updated the task description. (Show Details)Jan 17 2019, 10:19 PM
Martyav updated the task description. (Show Details)Jan 22 2019, 9:33 PM
Martyav updated the task description. (Show Details)
Martyav updated the task description. (Show Details)
Martyav updated the task description. (Show Details)Jan 22 2019, 9:35 PM
Martyav updated the task description. (Show Details)Jan 23 2019, 5:29 PM
Martyav updated the task description. (Show Details)
Martyav added a subscriber: Martyav.
Martyav updated the task description. (Show Details)Jan 24 2019, 5:36 PM
Martyav updated the task description. (Show Details)Jan 24 2019, 10:28 PM
Martyav updated the task description. (Show Details)Feb 6 2019, 7:19 PM
Martyav updated the task description. (Show Details)Feb 7 2019, 4:24 PM
Martyav updated the task description. (Show Details)
Martyav added a comment.EditedFeb 7 2019, 4:32 PM

For clarity in regards to my activity on the thread: I am an intern working with Srishti & Sarah on updating the top 50 most frequently viewed Action API pages. My workflow is to create drafts in my Sandbox, make the page conform to the template (https://www.mediawiki.org/wiki/API:Documentation_template), research the API and update the article accordingly, and provide Python sample code and JSON responses.

A complete list of my work on this project can be viewed here, including any works in progress: https://www.mediawiki.org/wiki/User:Martyav#Articles

Martyav updated the task description. (Show Details)Feb 20 2019, 7:03 PM
Martyav updated the task description. (Show Details)
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 16 2019, 6:52 PM
Aklapper renamed this task from Investigate and improve MediaWiki Action API documentation to Investigate and improve MediaWiki Action API documentation.May 9 2019, 10:11 AM
Pavithraes removed a subscriber: Pavithraes.
srishakatux updated the task description. (Show Details)May 14 2019, 3:28 AM
srishakatux triaged this task as High priority.May 14 2019, 3:30 AM
srishakatux updated the task description. (Show Details)
jeropbrenda updated the task description. (Show Details)May 28 2019, 5:25 PM
jeropbrenda updated the task description. (Show Details)May 28 2019, 6:31 PM
jeropbrenda updated the task description. (Show Details)Jun 6 2019, 4:17 PM

Outreachy 18 initial feedback update: I've improved 9 pages in my sandbox, and seven of them have been merged to the main namespace. More detailed information available at https://www.mediawiki.org/wiki/User:Jeropbrenda#Project_Outcomes

Tomybrz added a subscriber: Tomybrz.EditedJun 14 2019, 2:02 PM

Please confirm i can delete subpages listed here
Nevermind, done

jeropbrenda updated the task description. (Show Details)Jun 17 2019, 7:10 AM
jeropbrenda updated the task description. (Show Details)Jun 29 2019, 5:21 PM
jeropbrenda updated the task description. (Show Details)Jul 26 2019, 3:53 PM
Restricted Application added a project: Core Platform Team. · View Herald TranscriptJul 26 2019, 3:53 PM
srishakatux lowered the priority of this task from High to Medium.Sep 4 2019, 10:45 PM
srishakatux lowered the priority of this task from Medium to Low.Sep 26 2019, 11:32 PM
srishakatux moved this task from To triage to Backlog on the Developer-Advocacy board.
srishakatux closed this task as Resolved.Mar 13 2020, 9:12 PM

We made improvements to ~100 pages in the API namespace as part of this project; more details are in this blog post:
https://medium.com/@Srish_Aka_Tux/fixing-the-docs-is-a-group-effort-786367733d83. One of the things we focused on especially was consistency and ensuring that all pages adhere to the documentation template here: https://www.mediawiki.org/wiki/API:Documentation_template.

Thank you to folks who worked on this documentation project and made wonderful contributions to it :)